Subject: Re: [bmwg] [bess] REG: https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

From: Luc André Burdet <[email-masked]>
Date: Thu, 3 Jun 2021 14:47:09 +0000

Hi Sudhin,
I just re-assigned version -08 for RTG-DIR review.   I re-read the draft and thanks for the rewrite taking a lot of the comments below into consideration. It’s a much more structured document now.

There are still a few nits I’d suggest from a quick read:

  *   Make sure to reference RFCs directly because they’re not showing up as [RFCxxxx] but rather ‘RFC xxxx’
  *   There’s a few instances of spurious ‘extra space’ in titles etc.

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: Luc André Burdet <[email-masked]>
Date: Wednesday, August 7, 2019 at 11:15
To: Sudhin Jacob <sjacob=[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bess] REG: https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

Thanks for the head’s up Sudhin.

I got as far as the TOC and associated document flow. I would suggest this needs work before WGLC.
A few suggestions based on cursory reading.

  1.  Section 2, Test topologies   (Nit: plural since you define 3...)

  *   Looks like you are defining only Single-Active?    (Nit:SHPE3 appears twice in its/box)
  *   You have only Figure1 and there are 3 topologies in there. Why not define 3 figures, one per topology ?
  *   The paging makes this section hard to read. Consider shrinking your diagrams.
  *   In fact, these are all the SAME Topology. All you are changing is the traffic pattern. Putting the details of traffic flow “per topology” and especially hiding those details in a one-liner behind “Traffic Generator” is not clear & concise.
  *   I would suggest:

     *   1 Figure detailing the physical network diagram defining node names, DUT, etc. ;
     *   A section defining “Test Topologies” overlayed onto that shared network diagram:

        *   Nit: by “different VLANs” do you mean “Multiple” here or that CE and SHPE3 have different VLANS from one another?)
        *   All-Active,  traffic SHPE3 -> CE direction
        *   All-Active,  traffic CE -> SHPE3 direction
        *   All-Active,  traffic SHPE3 <-> CE bidirectional
        *   Single-Active,  traffic SHPE3 -> CE direction
        *   Single-Active,  traffic CE -> SHPE3 direction
        *   Single-Active,  traffic SHPE3 <-> CE bidirectional

     *   That could fit nicely in a Table...

  1.  Repeating “How long it takes to learn” is redundant and makes the TOC needlessly unreadable.
This is a benchmarking draft, isn’t timing and timing-verification implied?
If you MUST then just add a simple section/sentence at the top of document specifying that and do away with the repetition and long titles

  1.  You have PBB-EVPN in titles that basically repeat the previous one (presumably for EVPN?)
Maybe just have one section, and unnumbered subsections for EVPN and PBB-EVPN ?
or better yet: Section 3 EVPN, Section 4 PBB-EVPN and repeat same TCs concisely per technology. Context switching as one reads through the document hinders readability and flow.

   3<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3>.  EVPN Test Cases

     3.1<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3.1>.  Local MAC learning

     3.2<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3.3>.  Remote MAC learning

     3.3.  Local MAC Flush, due to PE-CE link flap

        3.3.1 MAC Re-learning rate

     3.4.  Remote MAC Flush, due to remote link failure

   4<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3>.  PBB-EVPN Test Cases

     4.1<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3.1>.  Local MAC learning

     4.2<https://tools.ietf.org/html/draft-ietf-bmwg-evpntest-02#section-3.3>.  Remote MAC learning

     4.3.  Local MAC Flush, due to PE-CE link flap

        4.3.1 MAC Re-learning rate

     4.4.  Remote MAC Flush, due to remote link failure

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: BESS <[email-masked]> on behalf of Sudhin Jacob <sjacob=[email-masked]>
Date: Wednesday, August 7, 2019 at 02:01
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [bess] REG: https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

Hi All,

Our draft is going to be WGLC in BMWG workgroup. Could you please let us know any comments.

Regards,
Sudhin

Juniper Business Use Only